
module.exports = 
{
	check: function (conn, hash, callback)
	{
		this.hash = hash;
		conn.execQuery ('CALL basketCheck ()',
			this._onBasketCheck.bind (this, callback));
	}
	
	,_onBasketCheck: function (callback, resultSet)
	{
		var status = resultSet.fetchValue ();

		if (!status)
			return;

		var isOk = status == 'UPDATED' || status == 'OK';

		if (status == 'UPDATED')
			Htk.Toast.showWarning (_('Order items updated'));
		if (callback)
			callback (isOk);
		if (!isOk)
			this.hash.$ = {form: 'ecomerce/checkout'};
	}
};
